#include		<pilot.h>
#include		"DropModule.h"


//	--------------------------------------------------------------------------------
//	FUNCTION:		CallModuleGimmic
//
//	DESCRIPTION:	Call this routine at default case of starterPilotMain ().
//	PARAMETERS:		inCmd			- word value specifying the launch code.
//					inCmdPBP		- pointer to a structure that is associated with the launch code. 
//					inLaunchFlags	- word value providing extra information about the launch.
//
//	RETURNED:		Result of launch
//
//	REVISION HISTORY:
//
//	--------------------------------------------------------------------------------
DWord	CallModuleGimmic (Word inCmd, Ptr inCmdPBP, Word inLaunchFlags)
{
	DWord					outResult	=	0;
	tDropLaunchCmdParamPtr	param		=	(tDropLaunchCmdParamPtr) inCmdPBP;

	switch (inCmd)
	{
		case	dDropLaunchSupportCmd:	//	Called when Drag&Drop searches module.
			outResult	=	dYes_Support;
			break;

		case	dDropLaunchCmd:			//	Called when text has dropped.
			outResult	=	DropTextFromModuleGimmic (param->selector, param->srcTextLength, param->srcText, &param->resultTextLength, &param->resultText, &param->resultBehavior);
			break;
	}

	return (outResult);
}