#include		<Pilot.h>
#include		"DropModule.h"
//#include		"SimpleModuleRsc.h"
#include		"Starter_res.h"

//	--------------------------------------------------------------------------------
//	FUNCTION:		DropTextFromModuleGimmic
//
//	DESCRIPTION:	Callback routine for Drag&Drop HACK.
//					You *SHOULD* create this routine to perform module.
//
//	PARAMETERS:		inModuleNo		:I N:	Module number which called. Begin with 0.
//					inDropTextLen	:I N:	Length of dropped text.
//					inDropText		:I N:	Pointer to dropped text. DO NOT CHANGE THIS TEXT.
//					outResultLen	:OUT:	Length of return text.
//					outResultText	:OUT:	Length of return text.
//					outBehavior		:OUT:	Set how Drag&Drop handled outResultText.
//
//	RETURNED:		Result of launch
//
//	REVISION HISTORY:
//
//	--------------------------------------------------------------------------------
DWord	DropTextFromModuleGimmic (Word inModuleNo, Word inDropTextLen, Ptr inDropText, Word *outResultLen, Ptr *outResultText, Byte *outBehavior)
{
	DWord	outResult	=	0;


	switch (inModuleNo)
	{
		case	0:	//  Delete
		
			char	str[20];

			*outResultLen	=	0;
			*outResultText	=	0;
			*outBehavior	=	eBehavior_Replace;
			
			break;

		default:	//	When called wrong module number. You don't have to this.
			StrIToA (str, inModuleNo);
			FrmCustomAlert (ResultAlert, str, "", "");
			break;
	}

	return (outResult);
}